Subject: Encapsulation types

From: John Fischer <[email-masked]>
Date: Wed, 12 Feb 2003 09:58:58 -0500

I noticed that draft-ietf-pwe3-control-protocol-01.txt uses the
same encap type numbers as draft-kompella-ppvpn-l2vpn-02.txt
Have these numbers been allocated from the same space?  I
couldn't find where these were defined (IANA or IETF).

The PPVPN draft describes BGP signaling, while the
PWE3 draft describes using LDP.  Why are different
signaling methods proposed in these drafts? Are
these signaling methods interchangeable?  eg.  Is there
a good reason why you would not set up an L2 VPN
with different edge-facing L2 technologies using PWE3
defined LDP signaling and the PPVPN defined encap
type of 64  IP-interworking?

I've always been curious, but never asked.
Thanks,
John